# ARBShadingLanguageInclude (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBShadingLanguageInclude

    java.lang.Object
      org.lwjgl.opengl.ARBShadingLanguageInclude

    public final class ARBShadingLanguageInclude

extends java.lang.Object

Field Summary
`static int` `GL_NAMED_STRING_LENGTH_ARB` Accepted by the <pname> parameter of GetNamedStringivARB:
`static int` `GL_NAMED_STRING_TYPE_ARB` Accepted by the <pname> parameter of GetNamedStringivARB:
`static int` `GL_SHADER_INCLUDE_ARB` Accepted by the <type> parameter of NamedStringARB:

Method Summary
`static void` `glCompileShaderIncludeARB(int shader, java.lang.CharSequence[] path)` Overloads glCompileShaderIncludeARB.
`static void` `glCompileShaderIncludeARB(int shader, int count, java.nio.ByteBuffer path)`
`static void` `glDeleteNamedStringARB(java.nio.ByteBuffer name)`
`static void` `glDeleteNamedStringARB(java.lang.CharSequence name)` Overloads glDeleteNamedStringARB.
`static void` `glGetNamedStringARB(java.nio.ByteBuffer name, java.nio.IntBuffer stringlen, java.nio.ByteBuffer string)`
`static void` `glGetNamedStringARB(java.nio.ByteBuffer name, int pname, java.nio.IntBuffer params)`
`static java.lang.String` `glGetNamedStringARB(java.lang.CharSequence name, int bufSize)` Overloads glGetNamedStringARB.
`static void` `glGetNamedStringARB(java.lang.CharSequence name, java.nio.IntBuffer stringlen, java.nio.ByteBuffer string)` Overloads glGetNamedStringARB.
`static int` `glGetNamedStringiARB(java.lang.CharSequence name, int pname)` Overloads glGetNamedStringivARB.
`static void` `glGetNamedStringiARB(java.lang.CharSequence name, int pname, java.nio.IntBuffer params)` Overloads glGetNamedStringivARB.
`static boolean` `glIsNamedStringARB(java.nio.ByteBuffer name)`
`static boolean` `glIsNamedStringARB(java.lang.CharSequence name)` Overloads glIsNamedStringARB.
`static void` `glNamedStringARB(int type, java.nio.ByteBuffer name, java.nio.ByteBuffer string)`
`static void` `glNamedStringARB(int type, java.lang.CharSequence name, java.lang.CharSequence string)` Overloads glNamedStringARB.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SHADER_INCLUDE_ARB

    public static final int GL_SHADER_INCLUDE_ARB

  Accepted by the <type> parameter of NamedStringARB:

  See Also:
    Constant Field Values

### GL_NAMED_STRING_LENGTH_ARB

    public static final int GL_NAMED_STRING_LENGTH_ARB

  Accepted by the <pname> parameter of GetNamedStringivARB:

  See Also:
    Constant Field Values

### GL_NAMED_STRING_TYPE_ARB

    public static final int GL_NAMED_STRING_TYPE_ARB

  Accepted by the <pname> parameter of GetNamedStringivARB:

  See Also:
    Constant Field Values

Method Detail

### glNamedStringARB

    public static void glNamedStringARB(int type,
                                        java.nio.ByteBuffer name,
                                        java.nio.ByteBuffer string)

### glNamedStringARB

    public static void glNamedStringARB(int type,
                                        java.lang.CharSequence name,
                                        java.lang.CharSequence string)

  Overloads glNamedStringARB.

### glDeleteNamedStringARB

    public static void glDeleteNamedStringARB(java.nio.ByteBuffer name)

### glDeleteNamedStringARB

    public static void glDeleteNamedStringARB(java.lang.CharSequence name)

  Overloads glDeleteNamedStringARB.

### glCompileShaderIncludeARB

    public static void glCompileShaderIncludeARB(int shader,
                                                 int count,
                                                 java.nio.ByteBuffer path)

### glCompileShaderIncludeARB

    public static void glCompileShaderIncludeARB(int shader,
                                                 java.lang.CharSequence[] path)

  Overloads glCompileShaderIncludeARB.

### glIsNamedStringARB

    public static boolean glIsNamedStringARB(java.nio.ByteBuffer name)

### glIsNamedStringARB

    public static boolean glIsNamedStringARB(java.lang.CharSequence name)

  Overloads glIsNamedStringARB.

### glGetNamedStringARB

    public static void glGetNamedStringARB(java.nio.ByteBuffer name,
                                           java.nio.IntBuffer stringlen,
                                           java.nio.ByteBuffer string)

### glGetNamedStringARB

    public static void glGetNamedStringARB(java.lang.CharSequence name,
                                           java.nio.IntBuffer stringlen,
                                           java.nio.ByteBuffer string)

  Overloads glGetNamedStringARB.

### glGetNamedStringARB

    public static java.lang.String glGetNamedStringARB(java.lang.CharSequence name,
                                                       int bufSize)

  Overloads glGetNamedStringARB.

### glGetNamedStringARB

    public static void glGetNamedStringARB(java.nio.ByteBuffer name,
                                           int pname,
                                           java.nio.IntBuffer params)

### glGetNamedStringiARB

    public static void glGetNamedStringiARB(java.lang.CharSequence name,
                                            int pname,
                                            java.nio.IntBuffer params)

  Overloads glGetNamedStringivARB.

### glGetNamedStringiARB

    public static int glGetNamedStringiARB(java.lang.CharSequence name,
                                           int pname)

  Overloads glGetNamedStringivARB.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.